#include <stdio.h>
#include <stdlib.h>

#define MAXSIZE 10000


/* Input: array da modificare, dimensione massima MAXSIZE.
   Restituisce il numero di interi effettivamente inserito.
*/
int leggi( int input[] ) 
{
     int n, i;

     scanf("%d", &n );
     if ( n < 1 || n > MAXSIZE ) 
     {
	printf("Errore: l'array deve avere dimensione tra 1 e %d\n", 
		MAXSIZE );
	exit(1);
     }

     for ( i = 0; i < n; i++ )
	scanf("%d", &input[i]);

     return n;
}

/* Inverte l'array A in loco:
   la cella i deve andare nella posizione (n-1)-i.
   Bisogna solo fare attenzione di non oltrepassare
   la meta', altrimenti ci si riporta all'array
   iniziale. */
void inverti( int A[], int n )
{
     int i, j, scambio; 

     for ( i = 0; i < n/2; i++ ) 
     {    
	 j = (n-1)-i;

         scambio = A [i];
	 A[i] = A[j];
	 A[j] = scambio;
     }
}

/* Stampa l'array in input. */
void stampa( int output[], int n)
{
     int i;

     for ( i = 0; i < n; i++ ) 
       printf("%d ", output[i]);
     printf("\n");
}

int main()
{
     int lunghezza;
     int array[MAXSIZE];

     lunghezza = leggi(array);
     inverti(array, lunghezza);
     stampa(array, lunghezza);

     return 0;
}
