/** Esercizio del 24/2/2009.
    Costruire una permutazione casuale di lunghezza N.
*/
#include <stdio.h>
#include <stdlib.h>

#define MAXSIZE 10000

/* Prepara un vettore di lunghezza
   n con i valori "0 .. n-1"
*/
void prepara(int A[], int n)
{
    int i;
    for ( i = 0; i < n ; i++ ) 
	A[i] = i;
}

/* Permutazione casuale con il mescolamento
   alla Fisher-Yates. */
void permuta(int A[], int n, int seme)
{
    int i, j, scambio;

    srand(seme); 
    for ( i = 0; i < n-1; i++ )
    {
       /* scegli un valore tra i ed n. */
       j = i + ( rand() % ( n-i ) ) ;

       scambio = A[i];
       A[i] = A[j];
       A[j] = scambio;
    }
}

void stampa( int output[], int n)
{
     int i;

     for ( i = 0; i < n; i++ ) 
       printf("%d ", output[i]);
     printf("\n");
}

int main()
{
   int n, seme;
   int A[MAXSIZE];

   scanf("%d %d", &seme, &n);

   prepara( A, n );
   permuta( A, n, seme);
   stampa ( A, n );

   return 0;
}
